std::filesystem::file_status(3cxx)

NAME
std::filesystem::file_status - Information about a file's type and permissions.

SYNOPSIS

#include <fs_dir.h>

  Public Member Functions

file_status (const file_status &) noexcept=default
file_status (file_status &&) noexcept=default
file_status (file_type __ft, perms __prms=perms::unknown) noexcept
file_status & operator= (const file_status &) noexcept=default
file_status & operator= (file_status &&) noexcept=default
perms permissions () const noexcept
void permissions (perms __prms) noexcept
file_type type () const noexcept
void type (file_type __ft) noexcept

Detailed Description

Information about a file's type and permissions.

Author

Generated automatically by Doxygen for libstdc++ from the source code.